--- title: "Get search asset upload status" slug: "maiu-upload-asset-query-status" updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/maiu-upload-asset-query-status" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get search asset upload status Available in VPC After uploading an image for search via the presigned URL, check the upload completion status of the image. Note Up to 1000 calls can be made per minute. If you need to adjust the call volume, contact [Support](https://www.ncloud.com/support/question/service?parentCode=O2O_MEDIA&code=O2O_MEDIA_012). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/query-assets/uploads/complete | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `assetKey` | String | Required | Key value of the image file to check for upload completion - Use the `assetFileKey` issued in advance via the [Issue presigned URL](/docs/en/maiu-upload-scene-query-url) API call. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/query-assets/uploads/complete' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "assetKey": "images/.../query_image.jpg" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Upload status result | | `result.assetKey` | String | Required | Key value of the uploaded image file - If the file is in HEIC format, the key value of the file converted to JPG is returned. | | `result.uploadStatus` | String | Required | Upload status - `COMPLETED`: Image uploaded successfully - `FAILED`: Upload failed. Check `uploadMessage` for reason for failure. | | `result.uploadMessage` | String | Optional | Detailed message when upload fails - `FILE_NOT_EXIST`: Uploaded file can't be found. - `OVER_SIZE_LIMIT`: Image file exceeds 5 MB. - `RESOLUTION_NOT_SUPPORT`: Image resolution is less than 224px. | ### Response status codes For information about the HTTP status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "assetKey": "images/.../query_image.jpg", "uploadStatus": "COMPLETED", "uploadMessage": null } } ```